<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports a product cart
 *
 * @package    OSB
 * @subpackage Cart
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_Cart extends ORMOSB {
	protected $_belongs_to = array(
		'product'=>array(),
	);

	// Cart doesnt use the update column
	protected $_updated_column = FALSE;

	/**
	 * Filters used to format the display of values into friendlier values
	 */
	protected $_display_filters = array(
		'recurr_schedule'=>array(
			array('StaticList_RecurSchedule::display',array(':value')),
		),
	);
}
?>
